<div class="container">
    <div ui-view></div>
</div>

<div class="container ml-5" id="black-list-section">
    <div class="card card-Reports">
        <div class="row">
            <div class="col-md-4">
                <mat-form-field>
                    <mat-select placeholder="Tipo de busqueda" [(value)]="selected" (selectionChange)="select($event.value)">
                        <mat-option value="fecha">Fecha</mat-option>
                        <mat-option value="correo">Correo</mat-option>
                        <mat-option value="trackId">Track Id</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div *ngIf="selected == 'fecha'">
                <div class="col-md-3" *ngIf="selected == 'fecha'">
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Inicial</mat-label>
                        <input matInput [matDatepicker]="picker" [max]="maxFechaInicial" (dateChange)="buscarPorFecha('fechaInicial', $event)" id="date1Search">
                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                </div>
    
                <div class="col-md-3" *ngIf="showEndDateInput">
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Final</mat-label>
                        <input matInput [min]="fechaInicial" [max]="fechaFinalMax" [matDatepicker]="picker2" (dateChange)="buscarPorFecha('fechaFinal', $event)" id="date2Search">
                        <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2 disabled="false" [startAt]="fechaInicial"></mat-datepicker>
                    </mat-form-field>
                    <!--
                    <button (click)="downloadReport()" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>-->
                </div>
            </div>
            <div *ngIf="showSearchInput">
                <div class="col-md-4" *ngIf="selected == 'correo' || selected == 'trackId'">
                    <mat-form-field style="width: 80%;">
                        <mat-label *ngIf="selected == 'correo'">Inserte el correo</mat-label>
                        <mat-label *ngIf="selected == 'trackId'">Inserte el trackId</mat-label>
                        <input matInput #informacion type="text" maxlength="50" informacion.value='' id="inputSearch">
                    </mat-form-field>
                    
                    <!--
                    <button (click)="downloadReport()" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>-->
                </div>
                <div class="col-md-1">
                    <button class="btn btn-primary mr-4 mt-3 searchButton" (click)="buscarPorTexto()">Buscar</button>
                </div>
            </div>


        </div>

    <div class="row row-search" *ngIf="showButtonReport">
        <div class="col-md-8"></div>
        <div class="col-md-2">
            <button class="btn btn-primary mr-4 mt-3" (click)="downloadReport()" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
        </div>
        <div class="col-md-2">
            <button class="btn btn-primary mr-4 mt-3" (click)="downloadReportSimplify()" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar Simplificado</button>
        </div>
        
    </div>


    <!-- <div class="row row-search" *ngIf="showButtonReport">
        <button class="btn btn-primary mr-4 mt-3" (click)="downloadReportSimplify()" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar Simplificado</button>
    </div> -->

    <div class="row" style="margin-top: 20px;">
        <h4 class="title-result-user">Resultados de busqueda:</h4>
        <div class="col-md-12">
            <table id="dtBasicExample" class="table table-striped table-bordered table-sm">
                <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">idTrack</th>
                  <th scope="col">Correo</th>
                  <th scope="col">Comercio</th>
                  <th scope="col">Oferta</th>
                  <th scope="col">Estatus</th>
                  <th scope="col">Modo</th>
                  <th scope="col">Fecha</th>
                  <th scope="col">Score final</th>
                  <th scope="col">Acciones</th>
                </tr>
                </thead>
                <tbody>
                    <!--
                <tr *ngFor="let usuario of result; let i = index">
                  <th scope="row">{{ i + 1 }}</th>
                  <td>{{ usuario.trackId }}</td>
                  <td>{{ usuario.correo}}</td>
                  <td>{{ usuario.nombreCliente}}</td>
                  <td>{{ usuario.nombreOferta}}</td>
                  <td>{{ usuario.estatus}}</td>
                  <td>{{ usuario.date}}</td>
                  <td>{{ usuario.globalScore.finalResult}}</td>
                  <td>
                      
                      
                    <button (click)="showUser(usuario.trackId)" mat-raised-button color="primary" data-toggle="tooltip" data-placement="top" title="Ver usuario"><i class="fa fa-eye" aria-hidden="true"></i></button>
                    <button class="btn btn-primary mr-4 mt-3" (click)="viewDetail(usuario.trackId)" mat-raised-button color="primary" data-toggle="tooltip" data-placement="top" title="Ver usuario"><i class="fa fa-eye" aria-hidden="true"></i>Ver Detalle</button>
                
                    <a href="dashboard/reports/detail/{{ usuario.trackId }}"><i class="fa fa-eye" aria-hidden="true"></i> Ver detalle</a>
                    
                  </td>
                </tr>
            -->
                </tbody>
            </table>
        </div>
    </div>

    <div class="row" id="resultUser">
        <div class="col-md-12" *ngFor="let user of singleUser">
            <div class="card card-result-User">
                <h4 class="title-result-user">Detalle del cliente con el Track ID: {{user.trackId}} </h4>
                <div class="row" style="margin-top: 3%;">
                    <div class="col-md-4">
                        <mat-label class="label-property">Fecha:</mat-label>
                        <input matInput type="text" value="{{user.date}}">
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-property">ID Track:</mat-label>
                        <input matInput type="text" value="{{user.trackId}}">
                    </div>
                </div>
                <div class="row" style="margin-top: 3%;">
                    <div class="col-md-4">
                        <mat-label class="label-property">Estatus:</mat-label>
                        <input matInput type="text" value="{{user.estatus}}">
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-property">Correo:</mat-label>
                        <input matInput type="text" value="{{user.correo}}">
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-property">Score final:</mat-label>
                        <input matInput type="text" value="{{user.globalScore.finalResult}}">
                    </div>
                </div>
                <div class="row" style="margin-top: 3%;">
                    <div class="col-md-4">
                        <mat-label class="label-property">Listas negras:</mat-label>
                        <input matInput type="text" [(ngModel)]="blacklist">
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-property">Fingerprint:</mat-label>
                        <input matInput type="text" [(ngModel)]="fingerPrint">
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-property">Secure touch:</mat-label>
                        <input matInput type="text" [(ngModel)]="secureTouch">
                    </div>
                </div>
                <div class="row" style="margin-top: 3%;">
                    <div class="col-md-4">
                        <mat-label class="label-property">CLABE:</mat-label>
                        <input matInput type="text" [(ngModel)]="clabe">
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-property">RFC:</mat-label>
                        <input matInput type="text" [(ngModel)]="rfc">
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-property">Biometricos:</mat-label>
                        <input matInput type="text" [(ngModel)]="biometricos">
                    </div>
                </div>
            </div>

            <div class="row" id="resultUser">
                <div class="col-md-12">
                    <div class="card card-result-User">
                        <div class="col-md-4">
                            <button (click)="getDataSource(user.trackId)" mat-raised-button color="primary"><i class="fa fa-eye" aria-hidden="true"></i>Ver fuente de datos</button>
                        </div>
                        <div class="col-md-4">
                            <button (click)="getInfoUser(user.trackId)" mat-raised-button color="primary"><i class="fa fa-eye" aria-hidden="true"></i>Ver información del usuario</button>
                        </div>
                        <div class="col-md-4">
                            <button (click)="download()" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>


<!--button view data-->


    <!--
    <div class="row" id="dataSourcePanel">
        <h5>Fuente de datos:</h5>
        <div class="col">
            <textarea class="dataSource" name="" id="" cols="30" rows="10">{{singleUser|json}}</textarea>
        </div>
    </div>

    <div class="row" id="dataInfoPanel">
        <h5>Información del cliente:</h5>
        <div class="col">
            <textarea class="dataSource" name="" id="" cols="30" rows="10">{{infoUser|json}}</textarea>
        </div>
    </div>
    -->

</div>
</div>
